from setuptools import setup
import unittest
with open('README.rst', 'r') as f:
    readme = f.read()
def testsuite():
	test_loader = unittest.TestLoader()
	test_suite = test_loader.discover('tests', pattern='test*.py')
	return test_suite
setup(name='influxsql',
      version='0.0.16',
      long_description=readme,
      description='Query INFLUXDB with SQL compatible with SQLITE.',
      author='Gerard Duval',
      author_email='gerard.duval@gdsoftconsulting.com',
      url='https://github.com/gduvalsc/influxsql',
      license='GPL',
      packages=['influxsql'],
      install_requires=['influxdb', 'apsw'],
      test_suite="setup.testsuite",
      classifiers=[ "Development Status :: 3 - Alpha", "Topic :: Utilities", "License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)"],
      zip_safe=False)
